読者です 読者をやめる 読者になる 読者になる

Natural Software

KinectなどのDepthセンサーを中心に活動しています

Windows で Git

Git

MacMac OS に戻してしばらくたちますが、結局 Windows になってしまった MacBook Air。。。
今日のアップデートでも MBP はあれど、MBA はなく^^;


ということで、Windows に環境を構築していて、そういえば Git って Cygwin と msysGit があるけど、どっちがいいのかなー、と思い、Git で困ったら id:bleis-tiftさんに問い合わせw
回答は

だそうです
そこから git-svn での SVN バージョンの話になったので調べてみました。
#ちなみに git svn --version でバージョンはでますが、git リポジトリ以下でやらないとエラーになりました
#さらにちなむと、TortoiseGit は msysGit を使っているようです

msysGit

インストーラバージョンは Git-1.7.0.2-preview20100309
git-svn バージョンは 1.4.6

Cygwin

git-svn バージョンは 1.6.9

Cygwin 版のインストール

git と git-svn は別パッケージなのでチェックを忘れずに

Cygwin 版の git-svn

エラーになるの、なんでだろ〜


やりとり

bleis@kaorun55 Subversionとの連携しない、git daemon使わない、非Windows環境と連携しないならmsysgit、そうじゃないならCygwin版で [TDDBC名古屋7/10,11予定] ( 2010-04-13 13:04:12 )
kaorun55@bleis git svn --version もでず^^; ( 2010-04-13 13:33:38 )
bleis@kaorun55 あ、gitのリポジトリで実行しないといけないので、それかも [TDDBC名古屋7/10,11予定] ( 2010-04-13 13:35:36 )
bleis@kaorun55 とりあえず、git initしてからgit svn --versionでどうでしょう? [TDDBC名古屋7/10,11予定] ( 2010-04-13 13:35:53 )
kaorun55@bleis おー、出ました出ました。Cygwinが1.6.9でmsysGitが1.4.6です! ( 2010-04-13 13:39:12 )
bleis@kaorun55 とゆーことで、msys版だとSubversionリポジトリが1.4.6以下じゃないと駄目です [TDDBC名古屋7/10,11予定] ( 2010-04-13 13:40:19 )